<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  コメント投稿メールの送信
 *
 *  @access public
 *  @param  integer $user_id            ユーザID
 *  @param  integer $post_id            記事ID
 *  @param  string  $author_name        投稿者名称
 */
function pb_sendCommentMail($user_id, $post_id, $author_name)
{
    // コメントメール機能の設定チェック
    if (!IS_COMMENT_MAIL)
        return;

    // ユーザ情報の取得
    $user_profile = db_get_user($user_id);

    // メールアドレスの復元
    $email = pocket_decrypt($user_profile['email'], POCKET_BLOG_ENCRYPT_KEY);

    // メールタイトル設定
    $subject = '【 ' . BLOG_NAME . ' 】コメント投稿のお知らせ';

    // メール本文設定
    $apl_name = BLOG_NAME;
    $url = pocket_getSiteUrl();
    $body = <<<EOD
{$user_profile['nickname']} さん、こんにちは。
$apl_name からのお知らせです。

$author_name さんからコメントが投稿されました。

$apl_name の該当記事ページ
$url?m=pc&a=postComment.view&post_id=$post_id
EOD;

    // メール送信
    $mailObject = new Pocket_Mail();
    $mailObject->send($email, $email, $subject, $body);
}

/**
 *  トラックバックメールの送信
 *
 *  @access public
 *  @param  integer $user_id            ユーザID
 *  @param  integer $post_id            記事ID
 *  @param  string  $blog_name          ブログ名称
 */
function pb_sendTrackbackMail($user_id, $post_id, $blog_name)
{
    // トラックバックメール機能の設定チェック
    if (!IS_TRACKBACK_MAIL)
        return;

    // ユーザ情報の取得
    $user_profile = db_get_user($user_id);

    // メールアドレスの復元
    $email = pocket_decrypt($user_profile['email'], POCKET_BLOG_ENCRYPT_KEY);

    // メールタイトル設定
    $subject = '【 ' . BLOG_NAME . ' 】トラックバックのお知らせ';

    // メール本文設定
    $apl_name = BLOG_NAME;
    $url = pocket_getSiteUrl();
    $body = <<<EOD
{$user_profile['nickname']} さん、こんにちは。
$apl_name からのお知らせです。

$blog_name からトラックバックされました。

$apl_name の該当記事ページ
$url?m=pc&a=postComment.view&post_id=$post_id
EOD;

    // メール送信
    $mailObject = new Pocket_Mail();
    $mailObject->send($email, $email, $subject, $body);
}

?>
