<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  画像ファイル情報登録用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.pc.do
 */
class configImageInsertAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $title     = $request['title'];
        $file_temp = $_FILES['upload_file']['tmp_name'];
        $file_size = filesize($file_temp);
        $file_type = $_FILES['upload_file']['type'];

        // 一時ファイルのオープン
        $fp = fopen($file_temp, 'rb');
        if (!$fp)
        {
            // リダイレクト
            pocket_redirect('configImageUpload.view', array('msg' => '画像ファイルのアップロードに失敗しました。'));
        }

        // 一時ファイルの読込
        $image = fread($fp, $file_size);

        // 一時ファイルのクローズ
        fclose($fp);

        // 画像ファイルの登録
        db_insert_image($title, $file_size, $file_type, base64_encode($image));

        // メッセージの作成
        $params = array('msg' => '画像ファイルをアップロードしました。');

        // リダイレクト
        pocket_redirect('configImageUpload.view', $params);
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $title     = $request['title'];
        $file_temp = $_FILES['upload_file']['tmp_name'];
        $file_type = $_FILES['upload_file']['type'];

        // エラー表示用のAction名称の設定
        $this->viewAction = 'configImageUpload';

        // 検証
        $validator->validate('title', 'タイトル', $title, 'string', true);

        // ファイルアップロードのエラーコードチェック
        if ($_FILES['upload_file']['error'] != UPLOAD_ERR_OK)
        {
            $validator->addErrors('upload_file', '画像ファイルのアップロードに失敗しました。');
        }
        else {
            // 一時ファイル名称のチェック
            if ($file_temp == 'none' || $file_temp == '')
            {
                $validator->addErrors('upload_file', '画像ファイルのアップロードに失敗しました。');
            }
            // ファイル種別のチェック
            if (!(strpos($file_type, 'jpeg') > 0
                || strpos($file_type, 'jpg') > 0
                || strpos($file_type, 'gif') > 0
                || strpos($file_type, 'png') > 0))
            {
                $validator->addErrors('upload_file', '画像ファイルのアップロードに失敗しました。');
            }
        }
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
