<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  カテゴリー別投稿一覧画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.pc.view
 */
class categoryListAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $year        = $request['year'];
        $month       = $request['month'];
        $category_id = $request['category_id'];
        $page        = $request['page'];

        // 年月情報をSESSION変数に設定
        $this->setYearMonthInfo2Session($year, $month);

        /**
         *  メイン情報の取得、設定
         */
        // カテゴリIDの設定
        $this->assign('category_id', $category_id);

        // カテゴリ名称の取得、設定
        $category_name = db_get_category_name($category_id);
        $this->assign('category_name', $category_name);

        // ページ番号の取得
        $page = (empty($page)) ? 1 : $page;

        // カテゴリの投稿情報の設定
        $this->assign('entries', db_get_posts4category($category_id, $page, PAGE_SIZE));
        // カテゴリの投稿件数の取得
        $hit_count = db_get_posts_count4category($category_id);

        // ページング情報の設定
        $this->assignPagingInfo($page, PAGE_SIZE, $hit_count);

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', $category_name . 'の記事一覧');

        // 年月情報
        $this->assignYearMonthInfo($year, $month);

        // サイドメニュー情報の設定
        $this->assignSideMenuInfo();

        return POCKET_ACTION_SUCCESS;
    }
}

?>
