<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  プロフィール設定画面（管理）表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.pc.view
 */
class configProfileAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        /**
         *  メイン情報の取得、設定
         */
        // 月コンボ情報の設定
        $this->assign('month', pocket_getAssoc4month());
        // 日コンボ情報の設定
        $this->assign('day', pocket_getAssoc4day());

        // ユーザ情報の取得
        $user_profile = db_get_user($_SESSION['user_id']);

        // 検証エラーデータの復元
        if (!$this->isValid())
        {
            $user_profile['nickname'] = $request['nickname'];
            $user_profile['birth_year'] = $request['birth_year'];
            $user_profile['birth_month'] = $request['birth_month'];
            $user_profile['birth_day'] = $request['birth_day'];
            $user_profile['sex'] = $request['sex'];
            $user_profile['blood_type'] = $request['blood_type'];
            $user_profile['self_intro'] = $request['self_intro'];
        }

        // プロフィール情報の設定
        $this->assign('user_profile', $user_profile);

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', '管理画面-' . 'プロフィール設定');

        // メッセージの設定
        $this->assign('message', $request['msg']);

        return POCKET_ACTION_SUCCESS;
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
