<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  記事更新画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.pc.view
 */
class postEditAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $year    = $request['year'];
        $month   = $request['month'];
        $post_id = $request['post_id'];

        // 年月情報をSESSION変数に設定
        $this->setYearMonthInfo2Session($year, $month);

        /**
         *  メイン情報の取得、設定
         */
        // 月コンボ情報の設定
        $this->assign('e_month', pocket_getAssoc4month());
        // 日コンボ情報の設定
        $this->assign('e_day', pocket_getAssoc4day());
        // 時コンボ情報の設定
        $this->assign('e_hour', pocket_getAssoc4hour());
        // 分コンボ情報の設定
        $this->assign('e_minute', pocket_getAssoc4minutes());
        // カテゴリ情報の設定
        $this->assign('category_list', db_get_categories4category_list());

        // 記事情報の取得
        $post = db_get_post_info($post_id);

        // 記事情報の存在チェック
        if (!$post)
            pocket_redirect('default.view');

        // 検証エラーデータの復元
        if (!$this->isValid())
        {
            $post['r_datetime'] = date("Y-m-d H:i:s", mktime($request['entry_hour'], $request['entry_minute'], 0,
                                                                $request['entry_month'], $request['entry_day'], $request['entry_year']));
            $post['author_name']   = $request['author_name'];
            $post['subject']       = $request['subject'];
            $post['category_id']   = $request['category_id'];
            $post['is_open']       = $request['is_open'];
            $post['allow_comment'] = $request['allow_comment'];
            $post['trackback_url'] = $request['trackback_url'];
            $post['body']          = $request['body'];
        }

        // 記事情報の設定
        $this->assign('post', $post);

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', '記事の編集');

        // 年月情報
        $this->assignYearMonthInfo($year, $month);

        // サイドメニュー情報の設定
        $this->assignSideMenuInfo();

        return POCKET_ACTION_SUCCESS;
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
