<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  記事投稿画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.pc.view
 */
class postEntryAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $year  = $request['year'];
        $month = $request['month'];

        // 年月情報をSESSION変数に設定
        $this->setYearMonthInfo2Session($year, $month);

        /**
         *  メイン情報の取得、設定
         */
        // 月コンボ情報の設定
        $this->assign('e_month', pocket_getAssoc4month());
        // 日コンボ情報の設定
        $this->assign('e_day', pocket_getAssoc4day());
        // 時コンボ情報の設定
        $this->assign('e_hour', pocket_getAssoc4hour());
        // 分コンボ情報の設定
        $this->assign('e_minute', pocket_getAssoc4minutes());
        // カテゴリ情報の設定
        $this->assign('category_list', db_get_categories4category_list());

        // 投稿日付(本日日付)の設定
        $today = getdate();
        $this->assign('entry_year'   , $today['year']);
        $this->assign('entry_month'  , $today['mon']);
        $this->assign('entry_day'    , $today['mday']);
        $this->assign('entry_hour'   , $today['hours']);
        $this->assign('entry_minute' , $today['minutes']);

        // ユーザ情報の取得
        $user = db_get_user($_SESSION['user_id']);
        // 投稿者の設定
        $this->assign('author_name', $user['nickname']);

        // 検証エラーデータの復元
        if (!$this->isValid())
        {
            $this->assign('entry_year'   , $request['entry_year']);
            $this->assign('entry_month'  , $request['entry_month']);
            $this->assign('entry_day'    , $request['entry_day']);
            $this->assign('entry_hour'   , $request['entry_hour']);
            $this->assign('entry_minute' , $request['entry_minute']);
            $this->assign('author_name'  , $request['author_name']);
            $this->assign('subject'      , $request['subject']);
            $this->assign('category_id'  , $request['category_id']);
            $this->assign('is_open'      , $request['is_open']);
            $this->assign('allow_comment', $request['allow_comment']);
            $this->assign('trackback_url', $request['trackback_url']);
            $this->assign('body'         , $request['body']);
        }

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', '記事の投稿');

        // 年月情報
        $this->assignYearMonthInfo($year, $month);

        // サイドメニュー情報の設定
        $this->assignSideMenuInfo();

        return POCKET_ACTION_SUCCESS;
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
